Show/Hide Toolbars

CTI Data Connector 5

Navigation: Installation

System Requirements

Scroll Prev Top Next More

Telephone System

Find below an overview about different CTI architectures depending on the telephone system (PBX).

 

VOIP PBX - On-Premise

Traditional PBX - On-Premise

Cloud PBX

Skype for Business

Using CTI Data Connector for Salesforce® with macOS

Video about the integration of phone systems

 

Connect to a PBX - Explainer Video

 

 

 

Operating System

Windows Vista, Windows 7. Windows 8, 8.1 or Windows 10 requires CTI Data Connector for Salesforce® version 5 - all listed operating systems are supported in the 32 bit and 64 bit version. Windows 8 RT is not supporte

Terminal Server or Citrix Server is supported

.NET 4 is required

MAC OS for systems without TAPI driver

 

Mirage Cloud Service

The Mirage Cloud Service is included in the subscription.

 

Browser Support

The following list of browsers are supported by Salesforce for CTI Data Connector SoftPhone:

 

Minimum system requirements

Internet Explorer 10, 11. IE does not support synchronizing a call between different TABs.

Chrome 40 +

Firefox 46 +

Microsoft Edge is not supported yet

 

It is recommended to use only the latest Browser version.

 

 

The limitations are due to the Salesforce CTI Data Connector SoftPhone. Check  with the next Salesforce release if new Browser versions are supported.

 

 

See Browser configuration about required configuration settings.

 

Supported Functionality

The supported functionality can be different per Browser

 

Function

Chrome

Firefox

Internet Explorer

Explanation

Sales and Service Cloud


Old Agent Console

An object cannot be assigned

Multiple TABs open

IE - changing TABs while a call is active is not supported

Multiple Browser instances

 

Must be same Browser - e.g. open Chrome twice. The call information is synchronized between both Browsers. Requires special settings

CTI Data Connector SoftPhone runs in the Background

 

Requires 1 TAB with the CTI Data Connector SoftPhone always open.

 

IE requires to stay on an TAB with the CTI Data Connector SoftPhone while the call is active

 

 

 

Salesforce license

The Salesforce Professional, Enterprise, Unlimited, Developer Edition, a force.com or App Cloud license is required for the call center functionality. It works with the Sales / Service Cloud and Lightning Experience.

 

 

 

 

See also
 
Configure the TAPI driver within CTI Data Connector for Salesforce®
Where do I find the TAPI driver?